name: tarantool
version: "2.0~git"
summary: In-memory database and Lua application server
description: |
 Tarantool is an in-memory database and Lua application server.

  * A drop-in replacement for Lua 5.1, based on LuaJIT 2.1
  * Lua packages for non-blocking I/O, fibers and HTTP
  * Indexes: secondary indexes, range queries, index iterators
  * Transactions: ACID transactions
  * Replication: asynchronous master-slave and master-master replication
  * Query language: server-side scripting and stored procedures
  * Security: authentication and access control

  This snappy contains only tarantool binary.
confinement: strict

apps:
  tarantool:
    command: tarantool

parts:
    tarantool:
        source: .
        plugin: cmake
        configflags:
          - -DCMAKE_BUILD_TYPE=RelWithDebInfo
          - -DENABLE_DIST=OFF # Disable tarantoolctl, init scripts, etc.
        build-packages:
          - cmake
          - make
          - g++
          - git
          - libreadline-dev
          - libncurses5-dev
          - libyaml-dev
          - libiberty-dev # for backtraces
          - binutils-dev  # for backtraces
          - zlib1g-dev    # for backtraces
          - libssl-dev
